#!/usr/bin/env bash

# Copyright (c) 2023 · Bryan Joshua Pedini
# LICENSE = gpl3
# see the LICENSE file for more details

COMPOSEVERSION="v2.17.2"

while read -r LINE; do
  VERSION=$(echo "${LINE}" | sed 's/-.*//')
  CRONVERSION=$(echo "${LINE}" | sed 's/.*-//;s/:.*//')
  DISTRO=$(echo "${LINE}" | sed 's/.*://')
  docker build \
   --build-arg CRONVERSION="${CRONVERSION}" \
   --build-arg DISTRO="${DISTRO}" \
   --build-arg VERSION="${VERSION}" \
   --build-arg COMPOSEVERSION="${COMPOSEVERSION}" \
   -t bryanpedini/dockercron:"${VERSION}"-alpine"${DISTRO}" .
done < versions
